<template>
  <StyledWrapper>
    <StyledImage :src="imageSrc" />
    <StyledLine />
    <StyledName>{{ itemName }}</StyledName>
    <StyledPriceWrapper>
      <img class="coin" src='@/assets/coin.png' />
      <StyledPrice>R$ {{ itemPrice }}</StyledPrice>
    </StyledPriceWrapper>
  </StyledWrapper>

</template>

<script>

import {
  StyledWrapper, StyledImage, StyledName, StyledLine, StyledPrice, StyledPriceWrapper,
} from '../../../styles/Atoms/AtomShopCard/AtomShopCard';

export default {
  name: 'AtomShopCard',

  components: {
    StyledImage,
    StyledWrapper,
    StyledName,
    StyledLine,
    StyledPrice,
    StyledPriceWrapper,
  },

  props: {
    imageSrc: {
      type: String,
      required: true,
    },
    itemName: {
      type: String,
      required: true,
    },
    itemPrice: {
      type: Number,
      required: true,
      default: 20,
    },
  },
};
</script>
